Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
openvrml::node_impl_util::node_type_impl< Node >::event_emitter_ptr< EventEmitterMember > Class Template Reference

Concrete pointer-to-member wrapper. More...

`#include <openvrml/node_impl_util.h>`

Inheritance diagram for openvrml::node_impl_util::node_type_impl< Node >::event_emitter_ptr< EventEmitterMember >:
[legend]

List of all members.

## Public Member Functions

| event_emitter_ptr (EventEmitterMember Node::*ptr_to_mem)
| Construct.

## Detailed Description

### template<typename Node>
template<typename EventEmitterMember>
class openvrml::node_impl_util::node_type_impl< Node >::event_emitter_ptr< EventEmitterMember >

Concrete pointer-to-member wrapper.

Template Parameters:

  EventEmitterMember | the type of an `openvrml::event_emitter` member of Node.

## Constructor & Destructor Documentation

template<typename Node >
template<typename EventEmitterMember >

openvrml::node_impl_util::node_type_impl< Node >::event_emitter_ptr< EventEmitterMember >::event_emitter_ptr | ( | EventEmitterMember Node::* | ptr_to_mem | ) | `[explicit]`

Construct.

Parameters:

  [in] | ptr_to_mem | a pointer to an `openvrml::event_emitter` member.